This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 53631 - Problem installing/upgrading RH Linux 7.1 Professional/Intel (RH32000US) on IBM 8656 xSeries 340
Problem installing/upgrading RH Linux 7.1 Professional/Intel (RH32000US) on I...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-13 11:08 EDT by Mark Harig
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-14 16:29:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Harig 2001-09-13 11:08:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
After reporting this problem to Red Hat Support, I received the following 
reply:

>This seems to be an Anaconda issue.  In cases like this, what we 
>recommend to our customer, is for them to visit our Bugzilla web 
>site, where our developers can assists you and analyze the error log.

During both graphical and text-mode installation of RH Linux 7.1 the 
installation fails with the following messages:

Running anaconda - please wait...
XXX lineno: 165: opcode: 123
Traceback (innermost last):
   File "/usr/bin/anaconda", line 7, in ?
      if (os.path.exists ('isys')):
   File "/usr/lib/python1.5/posixpath.py", line 165, in exists
      """Test whether a path exists.  Returns false for broken symbolic 
links"""
SystemError: unknown opcode
install exited abnormally
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
   /proc/bus/usb
   /mnt/runtime
   /mnt/source umount failed ()
   /dev/pts
   /proc
you may safely reboot your system

Rebooting the system (ctrl-alt-del) led to the same list of messages.

RH Linux 6.2 installs without errors.




Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Insert the first RH Linux 7.1 CD into the CD drive and boot.
2. Wait for the "Welcome to RH Linux" screen to prompt for action.
3. Select either graphical or text-mode installation/update.
4. During the running of the 'anaconda' program/script, the error
   log listed in the Description field is displayed.
	

Actual Results:  Running anaconda - please wait...
XXX lineno: 165: opcode: 123
Traceback (innermost last):
   File "/usr/bin/anaconda", line 7, in ?
      if (os.path.exists ('isys')):
   File "/usr/lib/python1.5/posixpath.py", line 165, in exists
      """Test whether a path exists.  Returns false for broken symbolic 
links"""
SystemError: unknown opcode
install exited abnormally
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
   /proc/bus/usb
   /mnt/runtime
   /mnt/source umount failed ()
   /dev/pts
   /proc
you may safely reboot your system



Expected Results:  The first screen of the installation should have been 
displayed, prompting for the Language Selection.

Additional info:

Hardware: IBM 8656 eserver xseries 340 with:
   Pentium III (Coppermine)
   512 Mbytes RAM

   IBM ServerRAID: 2 hard drives (model ST336605LC)
   ServerRAID4LX, BIOS 4.70.17
   SCSI Bus 1: ADAPTEC AIC-7899
   SCSI Bus 2: same
   SCSI BIOS version 2.55
   
   Quantum tape drive: DL6 8000 series, model TH8AL-MH
   CD ROM and floppy drive
Comment 1 Brent Fox 2001-09-13 17:19:52 EDT
When the error message appears, can you press <Ctrl><Alt><F4> and see if there
are any error messages?
Comment 2 Mark Harig 2001-09-13 18:44:00 EDT
Here is the log from ctrl-alt-f4:  (24 lines)

<4>  Vendor: IBM  Model: SERVERAID Rev: 1.0
<4>  Type: Processor ANSI SCSI revision: 1.0
<4> Vendor: IBM  model: YGLv3 s2  Rev: 0
<4> Type: Processor ANSI SCSI Revision: 02
<4> Attached scsi disk sda at scsi 2, channel 0, id 0, lun 0
<4> SCSI device sda: 71096320 512-byte hdwr sectors (36401MB)
<6> Partition check:
<6>  sda: sda1 sda2 < sda5 sda6 >
<7> ISO 9660 Extensions: RRIP 1991A
<4> Unable to identify CD-ROM format.
<6> pcnet32_probe_pci: found device 0x001022.0x002000
<6>    ioaddr=0x002000 resource_flags=0x000101
<6> eth0: PCnet/FAST III 79975 at 0x2000, 00 02 55 7c 9d 92
<6> pcnet32: pcnet32_private lp=df3fd000  lp_addr=0x1f3fd000 assigned IRQ 15.
<6> pcnet32.c: v1.25kf 26.9.1999 tsbogend@alpha.franken.de
<6> raid0 personality registered as nr 2
<6> raid1 personality registered as nr 3
<6> raid5: measuring checksumming speed
<4> 8 regs : 1651.200 MB/sec
<4> 32 regs: 922.000 MB/sec
<4> pII_mmx: 2256.800 MB/sec
<4> 42380.800 MB/sec
<4> raid5: using function: p5_mmx (2380.800MB/sec)
<4> raid5 personality registered as nr4
Comment 3 Brent Fox 2001-09-14 12:07:49 EDT
Hmmm...nothing interesting in the output of VC4.  Try booting with 'linux
ide=nodma' with the installer.  Does that help?
Comment 4 Mark Harig 2001-09-14 16:29:14 EDT
Entering 'linux ide=nodma' following the 'linux: ' prompt appears to have fixed 
the problem.  Once this is entered, the installation continues and successfully 
displays the Language Selection screen.  I have rebooted using the installation 
CD (Binary CD 1 of 2) five times (four reboots using the reset button, one 
reboot by turning the power off and on) without any problems, so long as I 
enter 'linux ide=nodma'.  

Is this the resolution to the problem?  Are there any implications to doing 
this that I should know about?

Thank you for your help!
Comment 5 Brent Fox 2001-09-14 17:47:04 EDT
Well, it just means that the kernel won't use DMA transfers for your hardware
during the install.  The kernel team enabled DMA transfers by default in the
boot kernel, but it turned out to be a bad idea.  Some CDROM drives go a little
bonkers if they can't handle DMA transfers correctly.  In the future, we will
disable DMA transfers for CDROM drives in the boot kernel, so this problem
should not happen again.  The only ramification for you for 7.1 is that the
install will be perhaps a little slower than it would have been if the cdrom
drive could handle DMA transfers correctly.  Lots of people had this problem, so
we're just turning it off for the future.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.